Bug 230513 - D620 w/ 1440x900 Intel 950 video fails auto config
D620 w/ 1440x900 Intel 950 video fails auto config
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: D620_Tracker FC7Blocker
  Show dependency treegraph
 
Reported: 2007-03-01 00:04 EST by Warren Togami
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 11:58:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X.i810-fail.log (52.32 KB, text/plain)
2007-03-01 00:08 EST, Warren Togami
no flags Details
X.intel-fail.log (44.13 KB, text/plain)
2007-03-01 00:12 EST, Warren Togami
no flags Details
/etc/X11/xorg.conf file (1.14 KB, text/plain)
2007-03-06 17:36 EST, Tim Reilly
no flags Details
Xorg.0.log without a /etc/X11/xorg.conf file to work from (67.91 KB, text/plain)
2007-03-06 17:40 EST, Tim Reilly
no flags Details
Xorg log when laptop is docked and using i810 driver (67.37 KB, text/plain)
2007-03-31 14:54 EDT, Bernd Bartmann
no flags Details
Xorg log when laptop is undocked and using i810 driver (51.58 KB, text/plain)
2007-03-31 14:55 EDT, Bernd Bartmann
no flags Details
Xorg log when laptop is undocked and using intel driver (72.22 KB, text/plain)
2007-03-31 14:56 EDT, Bernd Bartmann
no flags Details
Xorg log when laptop is docked and using intel driver with xorg.conf (130.85 KB, text/plain)
2007-03-31 14:57 EDT, Bernd Bartmann
no flags Details
Xorg log when laptop is docked and using intel driver without xorg.conf (70.72 KB, text/plain)
2007-03-31 14:58 EDT, Bernd Bartmann
no flags Details

  None (edit)
Description Warren Togami 2007-03-01 00:04:14 EST
Dell Latitude D620 with A07 BIOS.
Intel 945 video
1440x900 screen

X fails to start with both intel and i810 drivers in RHEL5 and FC7 test2.  ajax
said that this is some kind of BIOS problem.  Details attached next.
Comment 1 Warren Togami 2007-03-01 00:08:02 EST
Created attachment 148990 [details]
X.i810-fail.log

Rawhide x86_64 20070228
xdriver=i810 failure
Comment 2 Warren Togami 2007-03-01 00:12:52 EST
Created attachment 148991 [details]
X.intel-fail.log

Rawhide x86_64 20070228
xdriver=intel failure
Comment 3 Warren Togami 2007-03-01 19:47:32 EST
It appears that unlike other laptops, it isn't happy working at even 1024x768
out of the box.  X starts, but it displays garbage on the screen.

If you rewrite a BIOS mode to 1440x900, use i810 instead of intel, and hard-code
it to xorg.conf, then X works.

Mode setting driver that elminates the need for 915resolution is supposed to hit
rawhide soon?

Is it reasonable to close this bug only if auto-configuration sets up the screen
to work properly without hard-coding and without 915resolution?
Comment 4 Warren Togami 2007-03-01 19:50:08 EST
Also, is it reasonable to rev a future version of this BIOS so the machine knows
the actual resolution of its own screen?
Comment 5 Matěj Cepl 2007-03-02 12:52:50 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) to the bug report
as individual uncompressed file attachment using the bugzilla file attachment
link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Warren Togami 2007-03-02 13:27:24 EST
Tim Reilly is the new user of this particular laptop, so he is responsible for
testing and providing this information.
Comment 7 Tim Reilly 2007-03-06 17:36:31 EST
Created attachment 149396 [details]
/etc/X11/xorg.conf file
Comment 8 Tim Reilly 2007-03-06 17:40:59 EST
Created attachment 149398 [details]
Xorg.0.log without a /etc/X11/xorg.conf file to work from
Comment 9 Tim Reilly 2007-03-06 17:45:21 EST
I provided the requested files. I'm not as technical a user as Warren so I can
only guess that I provided the files using the right system setup. I provided
these files with the 915resolution software running. 

Also, in between Warren handing this laptop off to me and me posting these
files, I updated some X packages along with usual rawhide updates. This may have
impacted the bug. I'm not yet fully immersed in the issues related to this bug.

I like this laptop a great deal and hope to provide any addition info you might
need.
Comment 10 Adam Jackson 2007-03-06 18:12:13 EST
Tim, that looks suspiciously like a successful X startup.  I am confuzzled.

Also there's been a fairly major update to the X server and intel drivers in the
last few days, so this might magically start working.  Feel free to bring the
laptop by if you're in the office.
Comment 11 Warren Togami 2007-03-06 18:18:37 EST
ajax,
He is running it after 915resolution rewrote a BIOS mode.

Tim Reilly,

1) Disable the 915resolution service. 
   chkconfig 915resolution off
2) Reboot into runlevel 3 instead of 5.  (text boot with network)
   At the grub screen, hit "e", add "3" to the end of the second line, and "b"
to boot.
3) Login as root
4) Remove xorg.conf and see if Xorg works at all.
Comment 12 Adam Jackson 2007-03-07 11:32:42 EST
915resolution wildly unsupported blah blah blah.

Seriously, try rawhide and the intel driver, without using 915resolution.  Ought
to work pretty reasonably.
Comment 13 Tim Reilly 2007-03-14 14:26:17 EDT
I talked to ajax about this but didn't update the bug. It fails to start without
915resolution.
Comment 14 Bernd Bartmann 2007-03-31 14:53:35 EDT
Still lots of problems with the i810 and intel driver in FC7T3 on my DELL D620
laptop.

1. FC7T3 creates an xorg.conf file using the i810 driver by default. This is
result is no display output on the laptop display when the system is undocked.

2. When the laptop is docked I shut down the lid and have an external 20" DELL
TFT attached. This seems to work. I get a screen output with the correct
resolution (1600x1200) but the timing is not entirely correct. Sometimes I see
flickering lines and sometimes the display goes into power down mode and tells
me that I should use correct timings for the 1600x1200 resolution.

3. When the laptop is undocked and I try the intel driver I see the backlight
going on but the display remains black.

4. When the laptop is docked and I try the intel driver I see a standard X11
background (the black / white checker board) come up. The resolution only looks
like 800x600 and I can't switch back to the text console.

I'll attach the Xorg logs.
Comment 15 Bernd Bartmann 2007-03-31 14:54:50 EDT
Created attachment 151358 [details]
Xorg log when laptop is docked and using i810 driver
Comment 16 Bernd Bartmann 2007-03-31 14:55:24 EDT
Created attachment 151359 [details]
Xorg log when laptop is undocked and using i810 driver
Comment 17 Bernd Bartmann 2007-03-31 14:56:09 EDT
Created attachment 151360 [details]
Xorg log when laptop is undocked and using intel driver
Comment 18 Bernd Bartmann 2007-03-31 14:57:17 EDT
Created attachment 151361 [details]
Xorg log when laptop is docked and using intel driver with xorg.conf
Comment 19 Bernd Bartmann 2007-03-31 14:58:14 EDT
Created attachment 151362 [details]
Xorg log when laptop is docked and using intel driver without xorg.conf
Comment 20 Jeremy Katz 2007-04-18 20:07:03 EDT
We should be switched to the intel driver by default for this chipset now.  Do
things work better with current rawhide/test4?
Comment 21 Gideon de Kok 2007-04-21 13:18:04 EDT
The "i810 1440x900" problem can be fixed by manually setting the v/hsync for the
monitor:

      HorizSync 30-80
      VertRefresh 60-70

This should be auto detected though...
Comment 22 Tim Reilly 2007-05-02 18:03:39 EDT
Package updates weren't fixing it on my old install, but with a fresh test4
install things worked perfectly!
Comment 23 Kevin Fenzi 2007-05-08 01:18:55 EDT
FWIW, my D820 works great with the current rawide/devel "intel" driver. 
With fc6 and the i810 driver I had to use 915Resolution to get the right
resolution, but the current "intel" driver just does the right thing out of the
box. 

So, can we close this bug now? 

Bernd? Does it now work for you with the current intel driver? 
Comment 24 Bernd Bartmann 2007-05-08 11:42:21 EDT
For me also everything looks good now with FC7T4.
Comment 25 Kevin Fenzi 2007-05-08 11:58:34 EDT
ok, Sounds like it works for everyone, I will go ahead and close this... 
Feel free to re-open or file a new bug if you spot any further issues with it. 

Note You need to log in before you can comment on or make changes to this bug.